package de.intevation.flys.importer.parsers;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import de.intevation.flys.importer.ImportSedimentDensity;


public class SedimentDensityParser extends LineParser {

    private static final Logger log =
        Logger.getLogger(SedimentDensityParser.class);


    protected List<ImportSedimentDensity> sedimentDensities;

    protected ImportSedimentDensity current;


    public SedimentDensityParser() {
        sedimentDensities = new ArrayList<ImportSedimentDensity>();
    }


    @Override
    protected void reset() {
        current = new ImportSedimentDensity();
    }


    @Override
    protected void finish() {
        if (current != null) {
            sedimentDensities.add(current);
        }
    }


    @Override
    protected void handleLine(String line) {
        log.debug("handle line: '" + line + "'");
    }


    public List<ImportSedimentDensity> getSedimentDensities() {
        return sedimentDensities;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
